pkgsrc-Bugs archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

pkg/40283: net/avahi fails on Linux and causes 212 failures

>Number:         40283
>Category:       pkg
>Synopsis:       net/avahi fails on Linux and causes 212 failures
>Confidential:   no
>Severity:       serious
>Priority:       medium
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Sun Dec 28 13:10:00 +0000 2008
>Release:        NetBSD 4.0_STABLE
System: NetBSD 4.0_STABLE NetBSD 4.0_STABLE (GENERIC) #1: 
Fri Nov 21 18:49:50 EET 2008 i386
Architecture: i386
Machine: i386
The package fails like this

   avahi-0.6.23nb2 requires installed package xdg-dirs-1.4
   => Checking file-check results for avahi-0.6.23nb2
   ERROR: ************************************************************
   ERROR: The following files are in /usr/pkg but not in the PLIST:
   ERROR:         /usr/pkg/etc/init.d/avahi-daemon
   ERROR:         /usr/pkg/etc/init.d/avahi-dnsconfd
   *** Error code 1

Full log is here

I think installing distribution-specific init scripts should be
completely disabled for pkgsrc (see initscripts directory in sources).
Another way is to install them all.



Home | Main Index | Thread Index | Old Index